image: docker:latest

stages:
  - package
  - deploy
  
docker:image:
  stage: package
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker build -t $CI_REPO .
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker push $CI_REPO

deploy-database:
  stage: deploy
  script:
    - apk add --update curl && rm -rf /var/cache/apk/*
    - "curl -X POST -F token=$TOKEN -F ref=$REF_NAME https://gitlab.com/api/v4/projects/8899127/trigger/pipeline"
